"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const fs = require("fs-extra");
const path = require("path");
class Touch extends command_1.Command {
    async run() {
        const { args } = this.parse(Touch);
        await fs.ensureFile(path.join(process.cwd(), args.file));
        this.log('Created file', args.file);
    }
}
Touch.description = 'Creates a file. If a file exists, not modify it.';
Touch.examples = [
    '$ ishirak-cli touch index.html',
];
Touch.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
Touch.args = [
    { name: 'file', required: true },
];
exports.default = Touch;
